#1 2020-04-01 14:54:35

skoladj
Endora uživatel
Registrován: 1970-01-01
Příspěvky: 1

Moodle

Dobrý den,
chtěl jsem se zeptat, jakým způsobem máte řešeno nastavení na freehostingu pro Moodle (pokud tedy lze na freehostingu realizav, pokud ne, tak proč). Uvádím zde výčet problémů, které instalace moodle vyhodnotila jako problém.

Díky, s pozdravem Danek

Přejít k hlavnímu obsahu
Instalace - Moodle 3.7.2+ (Build: 20191008)
Moodle 3.7.2+ (Build: 20191008)
Informace o této verzi Moodlu najdete v Poznámkách k verzi

Kontroly serveru
Název    Informace    Sestava    Modul    Stav
php_setting    memory_limit    Je vyžadována změna nastavení PHP
Bylo zjištěno nedostatečné množství dostupné paměti. Je třeba navýšit memory_limit v nastavení PHP.        Prověřit
php_extension    xmlrpc    mělo by být nainstalováno a povoleno
Rozšíření XMLRPC je užitečné pro webové služby a pro síťové funkce Moodlu        Prověřit
unicode        musí být nainstalováno a povoleno
    OK
database    mysql (5.7.26-29)    vyžadována je verze 5.6, nyní používáte verzi 5.7.26.29
    OK
php        vyžadována je verze 7.1.0, nyní používáte verzi 7.3.12
    OK
pcreunicode        mělo by být nainstalováno a povoleno
    OK
php_extension    iconv    musí být nainstalováno a povoleno
    OK
php_extension    mbstring    mělo by být nainstalováno a povoleno
    OK
php_extension    curl    musí být nainstalováno a povoleno
    OK
php_extension    openssl    musí být nainstalováno a povoleno
    OK
php_extension    tokenizer    mělo by být nainstalováno a povoleno
    OK
php_extension    soap    mělo by být nainstalováno a povoleno
    OK
php_extension    ctype    musí být nainstalováno a povoleno
    OK
php_extension    zip    musí být nainstalováno a povoleno
    OK
php_extension    zlib    musí být nainstalováno a povoleno
    OK
php_extension    gd    musí být nainstalováno a povoleno
    OK
php_extension    simplexml    musí být nainstalováno a povoleno
    OK
php_extension    spl    musí být nainstalováno a povoleno
    OK
php_extension    pcre    musí být nainstalováno a povoleno
    OK
php_extension    dom    musí být nainstalováno a povoleno
    OK
php_extension    xml    musí být nainstalováno a povoleno
    OK
php_extension    xmlreader    musí být nainstalováno a povoleno
    OK
php_extension    intl    musí být nainstalováno a povoleno
    OK
php_extension    json    musí být nainstalováno a povoleno
    OK
php_extension    hash    musí být nainstalováno a povoleno
    OK
php_extension    fileinfo    musí být nainstalováno a povoleno
    OK
php_setting    file_uploads    detekováno doporučené nastavení
    OK
php_setting    opcache.enable    detekováno doporučené nastavení
    OK

Další kontroly
Informace    Sestava    Modul    Stav
site not https    Pokud tento test selhal, znamená to možné problémy
Bylo zjištěno, že váš web není zabezpečen prostřednictvím protokolu HTTPS. Pro zvýšení zabezpečení a lepší integraci s jinými systémy se důrazně doporučuje migrovat váš web na HTTPS.        Prověřit
Pro pokračování v instalaci této verze Moodlu je nutné nejdříve vyřešit problémy v programovém prostředí (chyby) serveru uvedené výše!

Offline

#2 2020-04-01 21:25:32

JF
Endora rádce
Místo: ....nice u Plzně
Registrován: 2010-06-22
Příspěvky: 10,968

Re: Moodle

Dobrý den, tyto 2 nedostatky memory_limit a https vyřešíte programem PLUS. Lze aktivovat na 7 denní test zdarma ve webadminu.


Ján Fačkovec - Helpdesk Endora.cz
Email: jan.fackovec(zavináč)endora.cz, Web: www.endora.cz
PHPinfo různých verzií!

Offline

Zápatí

Založeno na FluxBB | CZ a SK